LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XNumberingFormatter Interface Referencepublished

supports the formatting of numberings in various language environments. More...

`import"XNumberingFormatter.idl";`

Inheritance diagram for XNumberingFormatter:

## Public Member Functions
string | makeNumberingString ([in]sequence< com::sun::star::beans::PropertyValue > aProperties, [in]com::sun::star::lang::Locale aLocale) raises ( com::sun::star::lang::IllegalArgumentException )
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

supports the formatting of numberings in various language environments.

See also
  com::sun::star::text::NumberingRules
  com::sun::star::text::NumberingLevel

Version
  1.0

Author
  Oliver Specht

## Member Function Documentation

## ◆ makeNumberingString()

string makeNumberingString | ( | [in] sequence< com::sun::star::beans::PropertyValue > | aProperties,
|  | [in] com::sun::star::lang::Locale | aLocale
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Returns
  the formatted numbering string according to the given com::sun::star::text::NumberingLevel and the given com::sun::star::lang::Locale.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XNumberingFormatter.idl